<?php

/*

 $Id: show_local_users.inc,v 1.1 2003/07/16 21:03:06 vollmerk Exp $
 $Source: /data/cvsroot/maint/templates/show_local_users.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

/*!
	@header Show Local Users Template
	Show a listing of all of the local users, allows you to delete
	and edit their records. 
*/
?>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" class="widget-title">
    		<td title="<? $conf['help']->display_plain_txt("username"); ?>"><b>Username</b></td>
    		<td title="<? $conf['help']->display_plain_txt("user_last_seen"); ?>"><b>Last Seen</b></td>
                <td align="center"><b>Action</b></td>
	</tr>

<?

foreach ($users as $u) {

	//setup the last seen mojo
	if ( $u->last_seen ) {
		$last_seen = date("F j, Y, g:i a", $u->last_seen);
	}
	else {
		$last_seen = "Never logged in";
	}

?>

	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($u->username); ?></td>
		<td><? $conf['ui']->display_field($last_seen); ?></td>
		<td>
		<? if ($user->is_admin) { ?>

			<a href="<?= $conf['web_path']; ?>/user.php?action=delete_local_user&amp;username=<?= $u->username; ?>">Delete</a> |
			<a href="<?= $conf['web_path']; ?>/user.php?action=show_user&amp;username=<?= $u->username; ?>">Edit</a>	
		<? } else { ?>	
				There are no actions.
		<? } // if ?>
		</td>
	</tr>
<?
}
?>
</table>
<? show_template('bborder'); ?>
