<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: object_history.php,v 1.5 2003/04/18 23:19:29 vollmerk Exp $
 $Source: /data/cvsroot/maint/modules/class/object_history.php,v $

 The object history object.  Given a object type and id you can get
   information about what has happened with that type/id combo.

*/

class ObjectHistory {
	var $id;
	var $username; 
	var $object_type;
	var $object_id;
	var $date;
	var $comment;

	function ObjectHistory ( $object_type, $object_id ) {
		global $conf;

		if ( (! $object_type) AND (! $object_id) ) {
			return;
		}

		$this->object_type   = $object_type;
		$this->object_id     = $object_id;

		return false;

	} // object_history

	// Get all of the history items for this object.
	//   
	function get_all_history () {
		global $conf;

		$sql = "SELECT * FROM object_history 
			WHERE object_type='$this->object_type'
			AND object_id='$this->object_id' ORDER BY date DESC";
		$db_result = mysql_query($sql, $conf['dbh']);

		$all = array();

		while ( $obj = mysql_fetch_object($db_result) ) {
			$all[] = $obj;
		}
		
		return $all;
	} // get_all_history

	// Just return a specific object history item
	//   
	function get_history () {
		global $conf;

		$sql = "SELECT * FROM object_history 
                        WHERE object_id='$this->object_id' AND 
			object_type='$this->object_type' ORDER BY date DESC";
		$db_result = mysql_query($sql, $conf['dbh']);

		return mysql_fetch_object($db_result);
	}

	// Get how many object history entries we have for this
	//   host.
	function get_count () {
		global $conf;

		$sql = "SELECT count(*) FROM object_history
			WHERE object_type='$this->object_type'
			AND object_id='$this->object_id'";

		$db_result = mysql_query($sql, $conf['dbh']);

		$count = mysql_fetch_row($db_result);
		return $count[0];
	}

	// Just insert a object_history row
	function insert ($username,$object_type,$object_id,$date,$comment) {
		global $conf;

		$sql = "INSERT INTO object_history (username,object_type,object_id,date,comment) 
			VALUES ('$username', '$object_type', $object_id, $date, '$comment')";
		$db_result = mysql_query($sql, $conf['dbh']);
	}

	// With update we are actually just going to do an insert ... we'll never change
	//  any old host history information
	function update ($username,$comment = 0) {
		global $conf;

		$this->insert($username,$this->object_type,$this->object_id,time(),$comment);
	}

	function delete ($id) {
	        global $conf;

                $sql = "DELETE FROM object_history WHERE id='$id'";
                $db_result = mysql_query($sql, $conf['dbh']);
	}

	function delete_all () {
		$all = $this->get_all_history();

		while ( $history = each ($all)) {
			$this->delete($history->id);
		}
	}

}

?>
