<?php

/*

 $Id: show_children.inc,v 1.13 2003/07/23 00:04:56 vollmerk Exp $
 $Source: /data/cvsroot/maint/templates/show_children.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Child Objects Template
	Display all the cnames in the $cnames array. 

*/
?>
<? if (count($this->hosts)) { 
?>
<p class="header2"><?= count($this->hosts); ?> Child Host objects found</p>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" class="widget-title">
    		<td>
			<a href="<?= $conf['web_path'] . "/" . $conf['script']; ?>?action=<?= $conf['action']; ?>&sort_type=name" title="<? $conf['help']->display_plain_txt("hostname"); ?>">Hostname</a>
		</td>
                <td>
			<a href="<?= $conf['web_path'] . "/" . $conf['script']; ?>?action=<?= $conf['action']; ?>&sort_type=ip" title="<? $conf['help']->display_plain_txt("ip_address"); ?>">IP</a>
		</td>
                <td>
			<a href="<?= $conf['web_path'] . "/" . $conf['script']; ?>?action=<?= $conf['action']; ?>&sort_type=last_seen" title="<? $conf['help']->display_plain_txt("last_seen"); ?>">Last Seen</a>
		</td>
                <td>
			<a href="<?= $conf['web_path'] . "/" . $conf['script']; ?>?action=<?= $conf['action']; ?>&sort_type=os" title="<? $conf['help']->display_plain_txt("operating_system"); ?>">OS</a>
		</td>
		<td>
			Action
		</td>
	</tr>

<?
foreach ($this->hosts as $h) {

?>

	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>
			<a href="<?= $conf['web_path']; ?>/host.php?action=show_host&amp;action_type=read&amp;host_id=<?= $h->id ?>"><? $conf['ui']->display_field($h->hostname); ?></a>
		</td>
		<td><? if ( $h->ip->id ) { $conf['ui']->display_field($h->ip->ip_addr); } else { echo "dynamic"; } ?></td>
		<td><? $conf['ui']->display_field($h->show_last_seen()); ?></td>
		<td><? $conf['ui']->display_field($h->os); ?></td>
		<td>
			<? if ($user->has_access($h->zone->id) ) { ?>
			<a href="<?= $conf['web_path']; ?>/host.php?action=show_host&amp;host_id=<?= $h->id ?>">Edit</a> |
			<a href="<?= $conf['web_path']; ?>/host.php?action=Delete&amp;host_id=<?= $h->id ?>">Delete</a>
			<? } else { ?>
			<a href="<?= $conf['web_path']; ?>/host.php?action=show_host&amp;action_type=read&amp;h_id=<?= $host->id ?>">View</a>
			<? } ?>	
		</td>
	</tr>

<?
}
?>
	
</table>
<? show_template('bborder'); ?>
<br /><br />
<? } ?>
<? if (count($this->cnames)) { $bgcolor = $conf['color']->bg['dark_bgcolor']; ?>
<p><font class="header2"><?= count($this->cnames); ?> Child CNAMES objects found</font></p>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" class="widget-title">
    		<td><a href = "<? echo $conf['script'] ?>?action=<? echo $conf['action'] ?>&sort_type=name" title="<? $conf['help']->display_plain_txt("hostname"); ?>">Hostname</a></td>
		<td>&nbsp;</td>
    		<td><a href = "<? echo $conf['script'] ?>?action=<? echo $conf['action'] ?>&sort_type=server" title="<? $conf['help']->display_plain_txt("cname_server"); ?>">Server Name</a></td>
                <td>Action</td>
	</tr>

<?

foreach ($this->cnames as $cname) {

?>

	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
		<td><? $conf['ui']->display_field($cname->hostname); ?></td>
		<td><b>-----&gt;</b></td>
		<td><? $conf['ui']->display_field($cname->server); ?></td>
		<td>
			<? if ($user->has_access($cname->zone) ) { ?>
			<a href="cname.php?action=edit&cname_id=<? echo $cname->id ?>">Edit |</a>&nbsp;
			<a href="cname.php?action=delete&cname_id=<? echo $cname->id ?>"> Delete</a>
			<? } else { ?><a href="cname.php?action=show_cname&action_type=read&cname_id=<? echo $cname->id ?>">View</a>
			<? } ?>				
		</td>
	</tr>
<?
}
?>
</table>
<? show_template('bborder'); ?>
<br /><br />
<? } if (count($this->mxs)) { $bgcolor = $conf['color']->bg['light_bgcolor']; ?>
<p><font class="header2"><? echo count($this->mxs); ?> Child MX Records found</font></p>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" class="widget-title">
    		<td><a href = "<? echo $conf['script'] ?>?action=<? echo $conf['action'] ?>&sort_type=name" title="<? $conf['help']->display_plain_txt("hostname"); ?>">Hostname</a></td>
		<td>&nbsp;</td>
		<td><a href = "<? echo $conf['script'] ?>?action=<? echo $conf['action'] ?>&sort_type=server" title="<? $conf['help']->display_plain_txt("mx_server"); ?>">Server</a></td>
		<td><a href = "<? echo $conf['script'] ?>?action=<? echo $conf['action'] ?>&sort_type=priority" title="<? $conf['help']->display_plain_txt("mx_priority"); ?>">Priority</a></td>
                <td>Action</td>
	</tr>

<?

foreach ($this->mxs as $mx) {

?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
		<td><? $conf['ui']->display_field($mx->hostname); ?></td>
		<td>-----&gt;</td>
		<td><? $conf['ui']->display_field($mx->server); ?></td>
		<td><? $conf['ui']->display_field($mx->priority); ?></td>
		<td>
			<? if ($user->has_access($mx->zone) ) { ?>
			<a href="mx.php?action=edit&mx_id=<? echo $mx->id ?>">Edit |</a>&nbsp;
			<a href="mx.php?action=delete&mx_id=<? echo $mx->id ?>"> Delete</a>
			<? } else { ?><a href="mx.php?action=show_mx&action_type=read&mx_id=<? echo $mx->id ?>">View</a>
			<? } ?>				
		</td>
	</tr>
<? } ?>
</table>
<? show_template('bborder'); ?>
<br /><br />
<? } if (count($this->zones)) { $bgcolor = $conf['color']->bg['dark_bgcolor']; ?>
<p><font class="header2"><? echo count($this->zones); ?> Child Zone objects found</font></p>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr align="center" class="widget-title">
                <td><a href = "<? echo $conf['script'] ?>?action=<? echo $conf['action'] ?>&sort_type=name" title="<? $conf['help']->display_plain_txt("zone"); ?>">Zone Name</a></td>
                <td title="<? $conf['help']->display_plain_txt("host"); ?>">Hosts</td>
                <td title="<? $conf['help']->display_plain_txt("domain"); ?>">Domains</td>
                <td title="<? $conf['help']->display_plain_txt("cname"); ?>">CNAMES</td>
                <td title="<? $conf['help']->display_plain_txt("mxrecord"); ?>">MX Records</td>
                <td>Action</td>
        </tr>

<?

foreach ($this->zones as $zone) {

?>

        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
                <td><? $conf['ui']->display_field($zone->name); ?></td>
                <td><? $conf['ui']->display_field(count_host($zone->id)); ?></td>
                <td><? $conf['ui']->display_field(count_domain($zone->id)); ?></td>
                <td><? $conf['ui']->display_field(count_cname($zone->id)); ?></td>
                <td><? $conf['ui']->display_field(count_mx($zone->id)); ?></td>
                <td>
                        <? if ($user->has_access($zone->id) ) { ?>
                        <a href="zone.php?action=edit&zone_id=<? echo $zone->id ?>">Edit |</a>&nbsp;
                        <a href="zone.php?action=delete&zone_id=<? echo $zone->id ?>"> Delete</a>
                        <? } else { ?><a href="zone.php?action=show_zone&action_type=read&id=<? echo $zone->id ?>">View</a>
                        <? } ?>
                </td>
        </tr>
<?
}
?>
</table>

<? show_template('bborder'); ?>
<? } if (count($this->domains)) { $bgcolor = $conf['color']->bg['dark_bgcolor']; ?>
<p><font class="header2"><? echo count($this->domains); ?> Child Domain objects found</font></p>

<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" class="widget-title">
    		<td><a href = "<? echo $conf['script'] ?>?action=<? echo $conf['action'] ?>&sort_type=name" title="<? $conf['help']->display_plain_txt("domain"); ?>">Domain Name</a></td>
		<td title="<? $conf['help']->display_plain_txt("zone"); ?>">Parent Zone(s)</td>
                <td>Action</td>
	</tr>

<?

foreach ($this->domains as $domain) {

?>

	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
		<td><? $conf['ui']->display_field($domain->name); ?></td>
		<td><form style="Display:inline">
			<? 
			$zones = $domain->zones();
			if (count($zones) >= "2") {
				$conf['ui']->show_zone_select($zones, $zones[0]); 
				}
			elseif (count($zones) == "0") {
				echo "No Parent Zones";
				}
			elseif (count($zones) == "1") {
				$zone = new Zone($zones[0]);
				echo $zone->name;
				}
			?>
			</form>
		</td>
		<td>
			<? if ($user->has_access($mx->zone) ) { ?>
			<a href="domain.php?action=show_domain&domain_id=<? echo $domain->id ?>">Edit |</a>&nbsp;
			<a href="domain.php?action=delete_domain&domain_id=<? echo $domain->id ?>"> Delete</a>
			<? } else { ?><a href="domain.php?action=show_domain&action_type=read&domain_id=<? echo $domain->id ?>">View</a>
			<? } ?>				
		</td>
	</tr>
<?
}
?>
</table>
<? 
show_template('bborder'); 
} 
// If we found kiddy subnets
if (count($this->subnets)) { 
	$conf['ui']->show_subnets('',$this->subnets); 
} // if subnets

// If we found kiddy pointers
if (count($this->pointers)) {
	$conf['ui']->show_pointers('',$this->pointers);
} // if pointers


?>


